Create Resident: Propertyware REST

Create Resident: Propertyware REST | Method | Interface | |---|---| | POST /v1/contacts | Contacts |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
first_namestringRequired<=30 characters
The first name associated with the resident
last_namestringRequired<=30 characters
The last name associated with the resident
address_1stringRequired
The first address line associated with the resident
countryenum or stringRequired
The country associated with the resident
citystringRequired
The city associated with the resident
statestringRequired
The state associated with the resident
zipstringRequired
The zip code associated with the resident
middle_namestringOptional<=30 characters
The middle name associated with the resident
email_1stringOptionalformat: "email"
The primary email address associated with the resident
email_2stringOptionalformat: "email"
The secondary email address associated with the resident
date_of_birthstringOptionalformat: "date-time"
The date of birth associated with the resident
address_2stringOptional
The second address line associated with the resident
phone_1stringOptional
Primary phone number associated with the resident
phone_2stringOptional
Secondary phone number associated with the resident
phone_1_typeenumOptional
Type of the primary phone number
Allowed values:
phone_2_typeenumOptional
Type of the secondary phone number
Allowed values:
notesstringOptional
Notes associated with the resident

Response

Successful response
metaobject
resultobject

Errors